Collect Company Reviews by URL
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>",
"num_of_reviews": 123
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [
{
"url": "<string>",
"num_of_reviews": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: [{url: '<string>', num_of_reviews: 123}]})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"url": "https://www.facebook.com/PepsiCo/reviews/",
"review_id": "pfbid02abc123def456",
"reviewer_name": "John Smith",
"reviewer_url": "https://www.facebook.com/john.smith.123",
"rating": 5,
"review_text": "Great company with excellent products and customer service.",
"date_posted": "2026-03-15T14:30:00.000Z",
"num_likes": 3,
"company_name": "PepsiCo",
"company_url": "https://www.facebook.com/PepsiCo",
"company_rating": 4.2,
"total_reviews": 1250
}
]
Facebook
Collect company reviews by URL
Use the Bright Data Web Scraper API to collect Company Reviews by URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
Collect Company Reviews by URL
Query Parameters
string
default:"gd_m0dtqpiu1mbcyc2g86"
required
The dataset ID used for this request.
Must be set to
gd_m0dtqpiu1mbcyc2g86 to collect Facebook company reviews data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
An array of input objects.
Show properties
Show properties
Example
{
"input": [
{"url": "https://www.facebook.com/PepsiCo/reviews/", "num_of_reviews": 50},
{"url": "https://www.facebook.com/CocaCola/reviews/"}
]
}
[
{
"url": "https://www.facebook.com/PepsiCo/reviews/",
"review_id": "pfbid02abc123def456",
"reviewer_name": "John Smith",
"reviewer_url": "https://www.facebook.com/john.smith.123",
"rating": 5,
"review_text": "Great company with excellent products and customer service.",
"date_posted": "2026-03-15T14:30:00.000Z",
"num_likes": 3,
"company_name": "PepsiCo",
"company_url": "https://www.facebook.com/PepsiCo",
"company_rating": 4.2,
"total_reviews": 1250
}
]
Was this page helpful?
⌘I